> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close brand billing period

> The closed period.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

<ParamField path="period_id" type="string (string)" required />

### Request body

JSON body of type `GenericObject`.

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="contract_id" type="string (uuid)" required />

<ResponseField name="brand_id" type="string (uuid)" required />

<ResponseField name="period_start" type="string (date-time)" required />

<ResponseField name="period_end" type="string (date-time)" required />

<ResponseField name="status" type="string" required />

<ResponseField name="currency" type="string" required />

<ResponseField name="commitment_fee_minor" type="integer" required />

<ResponseField name="included_quantity" type="integer" required />

<ResponseField name="consumed_quantity" type="integer" required />

<ResponseField name="covered_quantity" type="integer" required />

<ResponseField name="overage_quantity" type="integer" required />

<ResponseField name="estimated_overage_minor" type="integer" required />

<ResponseField name="estimated_savings_minor" type="integer" required />

<ResponseField name="invoice_summary" type="object" required />

<ResponseField name="closed_at" type="string (date-time)" />

<ResponseField name="created_at" type="string (date-time)" required />

<ResponseField name="updated_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning            |
| ----- | ------------------ |
| `200` | The closed period. |
| `400` | Validation error   |
| `401` | Unauthorized       |
| `404` | Not found          |
| `429` | Rate limited       |
| `500` | Internal error     |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/billing/periods/{period_id}/close' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "period_start": "2026-08-31T14:22:05Z",
    "period_end": "2026-08-31T14:22:05Z",
    "status": "pending",
    "currency": "USD",
    "commitment_fee_minor": 4900,
    "included_quantity": 1,
    "consumed_quantity": 1,
    "covered_quantity": 1,
    "overage_quantity": 1,
    "estimated_overage_minor": 1,
    "estimated_savings_minor": 1,
    "invoice_summary": {},
    "closed_at": "2026-08-31T14:22:05Z",
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
